TimeWindowCompactionStrategyOptions (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.compaction

## Class TimeWindowCompactionStrategyOptions

- java.lang.Object
- - org.apache.cassandra.db.compaction.TimeWindowCompactionStrategyOptions

-     public final class TimeWindowCompactionStrategyOptions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `COMPACTION_WINDOW_SIZE_KEY`
    `protected static java.lang.String` | `COMPACTION_WINDOW_UNIT_KEY`
    `protected static int` | `DEFAULT_COMPACTION_WINDOW_SIZE`
    `protected static java.util.concurrent.TimeUnit` | `DEFAULT_COMPACTION_WINDOW_UNIT`
    `protected static int` | `DEFAULT_EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS`
    `protected static java.util.concurrent.TimeUnit` | `DEFAULT_TIMESTAMP_RESOLUTION`
    `protected static java.lang.Boolean` | `DEFAULT_UNSAFE_AGGRESSIVE_SSTABLE_EXPIRATION`
    `protected static java.lang.String` | `EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS_KEY`
    `protected long` | `expiredSSTableCheckFrequency`
    `protected boolean` | `ignoreOverlaps`
    `protected int` | `sstableWindowSize`
    `protected java.util.concurrent.TimeUnit` | `sstableWindowUnit`
    `protected static java.lang.String` | `TIMESTAMP_RESOLUTION_KEY`
    `protected java.util.concurrent.TimeUnit` | `timestampResolution`
    `protected static java.lang.String` | `UNSAFE_AGGRESSIVE_SSTABLE_EXPIRATION_KEY`
    `protected static com.google.common.collect.ImmutableList<java.util.concurrent.TimeUnit>` | `validTimestampTimeUnits`
    `protected static com.google.common.collect.ImmutableList<java.util.concurrent.TimeUnit>` | `validWindowTimeUnits`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeWindowCompactionStrategyOptions()`
    `TimeWindowCompactionStrategyOptions(java.util.Map<java.lang.String,java.lang.String> options)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.String>` | `validateOptions(java.util.Map<java.lang.String,java.lang.String> options, java.util.Map<java.lang.String,java.lang.String> uncheckedOptions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TIMESTAMP_RESOLUTION

          protected static final java.util.concurrent.TimeUnit DEFAULT_TIMESTAMP_RESOLUTION

    - #### DEFAULT_COMPACTION_WINDOW_UNIT

          protected static final java.util.concurrent.TimeUnit DEFAULT_COMPACTION_WINDOW_UNIT

    - #### DEFAULT_COMPACTION_WINDOW_SIZE

          protected static final int DEFAULT_COMPACTION_WINDOW_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS

          protected static final int DEFAULT_EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS

      See Also:
        Constant Field Values

    - #### DEFAULT_UNSAFE_AGGRESSIVE_SSTABLE_EXPIRATION

          protected static final java.lang.Boolean DEFAULT_UNSAFE_AGGRESSIVE_SSTABLE_EXPIRATION

    - #### TIMESTAMP_RESOLUTION_KEY

          protected static final java.lang.String TIMESTAMP_RESOLUTION_KEY

      See Also:
        Constant Field Values

    - #### COMPACTION_WINDOW_UNIT_KEY

          protected static final java.lang.String COMPACTION_WINDOW_UNIT_KEY

      See Also:
        Constant Field Values

    - #### COMPACTION_WINDOW_SIZE_KEY

          protected static final java.lang.String COMPACTION_WINDOW_SIZE_KEY

      See Also:
        Constant Field Values

    - #### EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS_KEY

          protected static final java.lang.String EXPIRED_SSTABLE_CHECK_FREQUENCY_SECONDS_KEY

      See Also:
        Constant Field Values

    - #### UNSAFE_AGGRESSIVE_SSTABLE_EXPIRATION_KEY

          protected static final java.lang.String UNSAFE_AGGRESSIVE_SSTABLE_EXPIRATION_KEY

      See Also:
        Constant Field Values

    - #### sstableWindowSize

          protected final int sstableWindowSize

    - #### sstableWindowUnit

          protected final java.util.concurrent.TimeUnit sstableWindowUnit

    - #### timestampResolution

          protected final java.util.concurrent.TimeUnit timestampResolution

    - #### expiredSSTableCheckFrequency

          protected final long expiredSSTableCheckFrequency

    - #### ignoreOverlaps

          protected final boolean ignoreOverlaps

    - #### validTimestampTimeUnits

          protected static final com.google.common.collect.ImmutableList<java.util.concurrent.TimeUnit> validTimestampTimeUnits

    - #### validWindowTimeUnits

          protected static final com.google.common.collect.ImmutableList<java.util.concurrent.TimeUnit> validWindowTimeUnits

  - ### Constructor Detail

    - #### TimeWindowCompactionStrategyOptions

          public TimeWindowCompactionStrategyOptions(java.util.Map<java.lang.String,java.lang.String> options)

    - #### TimeWindowCompactionStrategyOptions

          public TimeWindowCompactionStrategyOptions()

  - ### Method Detail

    - #### validateOptions

          public static java.util.Map<java.lang.String,java.lang.String> validateOptions(java.util.Map<java.lang.String,java.lang.String> options,
                                                                                         java.util.Map<java.lang.String,java.lang.String> uncheckedOptions)
                                                                                  throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2018 The Apache Software Foundation